For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Transactions by Invoice ID
      • GETGet Transaction Fees
      • GETGet Invoices
      • POSTSearch Transactions
LogoLogo
API ReferenceBilling

Search Transactions

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2026-01/transactions:query
POST
/2026-01/transactions:query
$curl -X POST "https://sandbox-api.shipbob.com/2026-01/transactions:query?Cursor=f8cUk%2FxJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0%2BBVMffFoIfoqzOkEsAw" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "from_date": "2019-08-24",
> "invoice_ids": [
> "12345"
> ],
> "invoiced_status": true,
> "page_size": 10,
> "reference_ids": [
> "11553288",
> "43-12000928-Pallet00"
> ],
> "reference_types": [
> "Shipment"
> ],
> "sort_order": "Ascending",
> "to_date": "2019-08-24",
> "transaction_fees": [
> "Kitting Fee",
> "Warehousing Fee"
> ],
> "transaction_types": [
> "Charge"
> ]
>}'
1{
2 "first": "f8cUk/xJkbeYp2L8oHqxL2hFiGz3qjre",
3 "items": [
4 {
5 "additional_details": {
6 "comment": "TestInvoice"
7 },
8 "amount": 0.09,
9 "charge_date": "2025-01-01",
10 "currency_code": "USD",
11 "fulfillment_center": "Altona VIC",
12 "invoice_date": "2025-01-01",
13 "invoice_id": 12345,
14 "invoice_type": "Shipping",
15 "invoiced_status": true,
16 "reference_id": "12345",
17 "reference_type": "Shipment",
18 "taxes": [
19 {
20 "tax_amount": 0.01,
21 "tax_rate": 10,
22 "tax_type": "GST"
23 }
24 ],
25 "transaction_fee": "Shipping",
26 "transaction_id": "01AN4Z07BY79KA1307SR9X4MV3",
27 "transaction_type": "Charge"
28 }
29 ],
30 "last": "f8cUk/xJkbeYp2L8oHqxL2hFiGz3qjqt",
31 "next": "f8cUk/xjhyEYp2L8oHqxL2hFiGz3qjqt",
32 "prev": "f8cUk/xJkbeYp2L8oHqxL2hFiGz3qjcc"
33}

Search transactions with filters (date, invoice, fee type, etc.)

Was this page helpful?
Previous

Get Invoices

Next

Get Locations

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

CursorstringOptional

[Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters.

Request

Used to filter transactions based on search criteria. Required if cursor is not provided. Ignored when cursor is present (i.e., for paginated requests).

from_datedatetimeOptional
Start date for filtering transactions by charge date. Defaults to 7 days before the current date if not specified.
invoice_idslist of stringsOptional
List of invoice IDs to filter transactions by.
invoiced_statusbooleanOptional
Filter transactions by invoicing status. True returns billed transactions, false returns unbilled transactions, and null returns both billed and unbilled transactions.
page_sizeintegerOptional
Number of transactions to return per page. Default is 100. Must be between 1 and 1000.
reference_idslist of stringsOptional

List of reference IDs (such as Shipment IDs, WRO IDs) to filter transactions. Can be numeric or string identifiers.

reference_typeslist of enumsOptional
The types of references associated with the reference IDs to filter by.
Allowed values:
sort_orderenumOptionalDefaults to Descending
Sort order for results. Ascending sorts from lowest to highest, Descending sorts from highest to lowest.
Allowed values:
to_datedatetimeOptional
End date for filtering transactions by charge date. Defaults to the current date if not specified.
transaction_feeslist of stringsOptional

List of transaction fee types to filter by. To get all available transaction fees, use the ‘/transaction-fees’ endpoint.

transaction_typeslist of enumsOptional
The classification or nature of the transactions to filter by.
Allowed values:

Response

Success
firststring
Go to the first page
itemslist of objects
laststring
Go to the Last page
nextstring
Go to the Next page
prevstring
Go to the Previous page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error